Bug 100556 - [patch] bsd.port.mk - proper using of ECHO_CMD and ECHO_MSG
Summary: [patch] bsd.port.mk - proper using of ECHO_CMD and ECHO_MSG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-19 18:30 UTC by Gabor Kovesdan
Modified: 2007-03-24 15:44 UTC (History)
1 user (show)

See Also:


Attachments
bpm_echo.diff (16.14 KB, patch)
2006-07-19 18:30 UTC, Gabor Kovesdan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kovesdan freebsd_committer 2006-07-19 18:30:16 UTC
We have both ECHO_CMD and ECHO_MSG in bsd.port.mk.  ECHO_CMD is the echo shell built-in
at default, while ECHO_MSG is ECHO_CMD at the default, but they are for different
purposes.  ECHO_MSG is for printing output, which is relevant for the end-user, while
ECHO_CMD is mostly for internal use, e.g. command-line pipelining, like
	@${ECHO_CMD} "@cwd ${PREFIX}" >> ${TMPPLIST}.
Accordingly, one might want to override ECHO_MSG so that one get a colorful output, or
use a wrapper for these messages.  Currently, in bsd.port.mk ECHO_CMD is also used for
printing user output.  The attached patch substitutes these occurrences to ECHO_MSG.
Comment 1 Edwin Groothuis freebsd_committer 2006-07-19 18:30:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk is port manager territory
Comment 2 Pav Lucistnik freebsd_committer 2007-03-17 23:47:18 UTC
State Changed
From-To: open->analyzed

This patch is being tested in exprun
Comment 3 dfilter service freebsd_committer 2007-03-24 14:02:13 UTC
pav         2007-03-24 14:02:06 UTC

  FreeBSD ports repository

  Modified files:
    .                    CHANGES 
    Mk                   bsd.autotools.mk bsd.port.mk 
                         bsd.port.subdir.mk 
  Added files:
    Mk                   bsd.efl.mk 
  Log:
  [1] Introduce COPYTREE_BIN and COPYTREE_SHARE macros
  [2] Fix ECHO_CMD/ECHO_MSG usage in bsd.port.mk
  [3] Move bsd.efl.mk to ports/Mk
  [4] Change LIBTOOLFILES default to ${CONFIGURE_SCRIPT}
  [5] Whitespace sweep
  [6] Add WWWDIR variable with default value of ${PREFIX}/www/${PORTNAME}
  
  PR:             ports/100996 [1], ports/100556 [2], ports/100497 [3],
                  ports/104009 and ports/104018 [5], ports/105529 [6]
  Submitted by:   stass [1] [3], gabor [2], pav [4], edwin [5], laszlof [6]
  Approved by:    ade [4]
  
  Revision  Changes    Path
  1.67      +22 -1     ports/CHANGES
  1.26      +4 -3      ports/Mk/bsd.autotools.mk
  1.1       +307 -0    ports/Mk/bsd.efl.mk (new)
  1.557     +99 -61    ports/Mk/bsd.port.mk
  1.69      +17 -14    ports/Mk/bsd.port.subdir.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Pav Lucistnik freebsd_committer 2007-03-24 15:43:53 UTC
State Changed
From-To: analyzed->closed

Committed.